/* Program  stats.C          */
/* By Harald Stauss          */
/* Last change 26 Oct. 1995  */
/* g++ -o stats stats.c -lm  */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "tsa.h"
#include "nrc/nrutil.h"
#include "nrc/nrutil.c"
#include "nrc/moment.c"
main(int argc, char *argv[])
{
         short    i;
         char     *fin, *ftin, *fptin;
         REGIST   r;
	 float    ave,adev,sdev,var,skew,curt;

/* H e l l o    W o r l d */

printf("STATS Ver.1.0 by H. Stauss, 1995 \n");

  /* A r r a y s   a l l o c i e r e n */
  fin=new char [255];
  ftin=new char [255];

if (argc != 2)
   {
   printf("Number of parameters wrong! \n");
   printf("Calculates statistics \n");
   printf("stats fin \n");
   printf("fin    : name of input file (*.asc). \n");
   goto ende;
   }

  /* Eingabedatei oeffnen */
  strcpy(fin,argv[1]);
  strcpy(ftin,fin);
  fptin=strrchr(ftin,'.');
  for (i=0; fptin[i]; i++) fptin[i]=toupper(fptin[i]);
  
  printf("In-File    : %s \n",fin);

  /* E i n g a b e d a t e i   o e f f n e n */
  if (strcmp(fptin,".TSA")==0) r.ReadTSA(fin);
  if (strcmp(fptin,".ASC")==0) r.ReadASCII(fin,1);
  if ((strcmp(fptin,".TSA")!=0) && (strcmp(fptin,".ASC")!=0)) {
    cout << "File type for input not recognized! \n";
    goto ende;
  }


cout << "file: " << fin << "\n";
cout << "# \tn  \tmean \tvar \n";
for (i=0; i<r.n; i++) {
moment(r.ch[i].data-1,r.ch[i].n,&ave,&adev,&sdev,&var,&skew,&curt);
cout << i << "\t" << r.ch[i].n << "\t" << ave << "\t" << var << "\n";
}


ende:
delete [] fin; delete [] ftin;
return(0);
} /* Ende von main */



